/* eslint-disable */
import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

let router = new Router({
  routes: [{
    path: '/', // 框架页
    name: 'sys',
    redirect: '/index',
    component: resolve => (require(['@/pages/index'], resolve)),
    children: [
      {
        path: '/index', // 首页
        name: 'index',
        redirect: '/index/ShouYe',
        component: resolve => (require(['@/pages/index/index'], resolve)),
        children: [
          {
            path: '/index/ShouYe', // 彩单管理
            name: 'CaiDanGuanLi',
            component: resolve => (require(['@/pages/index/ShouYe'], resolve))
          },
          {
            path: '/index/DingDanChaXun', // 订单查询
            name: 'DingDanChaXun',
            component: resolve => (require(['@/pages/index/DingDanChaXun'], resolve))
          }
        ]
      },
      {
        path: '/CaiMinGuanLi', // 彩民管理
        name: 'CaiMinGuanLi',
        redirect: '/CaiMinGuanLi/ShouYe',
        component: resolve => (require(['@/pages/CaiMinGuanLi/index'], resolve)),
        children: [
          {
            path: '/CaiMinGuanLi/ShouYe', // 彩民管理-首页
            name: 'CaiMinGuanLiShouYe',
            component: resolve => (require(['@/pages/CaiMinGuanLi/ShouYe'], resolve))
          }
        ]
      },
      {
        path: '/WoDe', // 我的
        name: 'WoDe',
        redirect: '/WoDe/ShouYe',
        component: resolve => (require(['@/pages/WoDe/index'], resolve)),
        children: [
          {
            path: '/WoDe/ShouYe', // 个人中心
            name: 'WoDeShouYe',
            component: resolve => (require(['@/pages/WoDe/ShouYe'], resolve))
          }
        ]
      },
      {
        path: '/SignIn', // 登录页
        name: 'SignIn',
        component: resolve => (require(['@/pages/SignIn'], resolve))
      }
    ]
  }]
})

router.beforeEach((to, from, next) => {
  next()
})

export default router