/* eslint-disable */
import Axios from 'axios'
const ToolClass = {
  Axios (resolve, reject, target, context, payload = {}, code = 0, commit = null, params = null, hasdata = false) { // Axios
    Axios({
      method: target.method,
      url: target.url,
      ...payload
    }).then(res => {
      if (res.data.code - 0 === code - 0) {
        if (commit !== null) {
          context.commit(commit, params === null ? res.data.data : hasdata ? { ...params, data: res.data.data } : params)
        }
        resolve(res)
      } else {
        reject(res)
      }
    }).catch((res) => {
      reject(res)
    })
  },
  ChangeUrlParams (Arr, DeleteAll = false) {
    if (DeleteAll) { // 只保留目标参数
      window.history.pushState({}, 0, window.location.href.split('?')[0])
    }
    Arr.map((item) => {
      window.history.pushState(null, null, this.ChangeUrlArg(window.location.href, item.name, item.value))
    })
  },
  IsLeapYear (year) {
    return !(year % (year % 100 ? 4 : 400))
  },
  DoubleNum (num) { // 单位数补位
    return num > 9 ? num : `0${num}`
  },
  CheckEmail (target) { // 校验邮箱格式
    let reg = /^[A-Za-z0-9\u4e00-\u9fa5]+@[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+$/
    return reg.test(target)
  },
  GetUrlParams (name) { // 获取url参数
    let query = window.location.search.substring(1)
    let vars = query.split('&')
    for (let i = 0; i < vars.length; i++) {
      let pair = vars[i].split('=')
      if (pair[0] == name) { return pair[1] }
    }
    return false
  },
  DateFormat (timestamp) { // 格式化时间
    let Date = new Date(timestamp - 0)
    let yy = new Date(timestamp).getFullYear()
    let mm = new Date(timestamp).getMonth() + 1
    let dd = new Date(timestamp).getDate()
    let hh = Date.getHours()
    let min = Date.getMinutes()
    let ss = Date.getSeconds()
    return `${yy}-${mm}-${dd} ${hh}:${min}:${ss}`
  },
  WindowClick (callback) { // window点击事件
    let WindowClickFn = window.onclick
    window.onclick = () => {
      if (WindowClickFn) {
        WindowClickFn()
      }
      callback()
    }
  },
  DocumentKeyDown (callback) { // document键盘输入事件
    let DocumentKeyDownFn = document.onkeydown
    document.onkeydown = (e) => {
      e = e || event
      if (DocumentKeyDownFn) {
        DocumentKeyDownFn()
      }
      callback(e)
    }
  },
  CheckUrl (url) { // 校验url
    let reg = /^(?=^.{3,255}$)[a-zA-Z0-9][-a-zA-Z0-9]{0,62}(\.[a-zA-Z0-9][-a-zA-Z0-9]{0,62})+$/
    return reg.test(url)
  },
  ChangeUrlArg (url, arg, val) { // 替换url参数
    let pattern = arg + '=([^&]*)'
    let replaceText = arg + '=' + val
    if (url.match(pattern)) {
      let tmp = '/(' + arg + '=)([^&]*)/gi'
      tmp = url.replace(eval(tmp), replaceText)
      return tmp
    } else {
      if (url.match('[\?]')) {
        return url + '&' + replaceText
      } else {
        return url + '?' + replaceText
      }
    }
  }
}

export default ToolClass
